/*******************************************************************************
    CANopen Object Dictionary definition for CANopenNode V4

    This file was automatically generated by CANopenEditor v4.1-30-g5935269

    https://github.com/CANopenNode/CANopenNode
    https://github.com/CANopenNode/CANopenEditor

    DON'T EDIT THIS FILE MANUALLY !!!!
********************************************************************************

    File info:
        File Names:   OD.h; OD.c
        Project File: satellite_profile.xpd
        File Version: 1

        Created:      10/21/2022 11:26:00 AM
        Created By:   
        Modified:     12/13/2023 7:44:02 PM
        Modified By:  

    Device Info:
        Vendor Name:  
        Vendor ID:    
        Product Name: Satellite
        Product ID:   

        Description:  
*******************************************************************************/

#ifndef OD_H
#define OD_H
/*******************************************************************************
    Counters of OD objects
*******************************************************************************/
#define OD_CNT_NMT 1
#define OD_CNT_EM 1
#define OD_CNT_SYNC 1
#define OD_CNT_SYNC_PROD 1
#define OD_CNT_STORAGE 1
#define OD_CNT_TIME 1
#define OD_CNT_EM_PROD 1
#define OD_CNT_HB_CONS 1
#define OD_CNT_HB_PROD 1
#define OD_CNT_SDO_SRV 1
#define OD_CNT_SDO_CLI 1
#define OD_CNT_RPDO 28
#define OD_CNT_TPDO 18


/*******************************************************************************
    Sizes of OD arrays
*******************************************************************************/
#define OD_CNT_ARR_1003 16
#define OD_CNT_ARR_1010 4
#define OD_CNT_ARR_1011 4
#define OD_CNT_ARR_1016 8
#define OD_CNT_ARR_1029 3
#define OD_CNT_ARR_6020 128
#define OD_CNT_ARR_6030 128
#define OD_CNT_ARR_6038 128
#define OD_CNT_ARR_6050 128
#define OD_CNT_ARR_6060 128
#define OD_CNT_ARR_6070 128
#define OD_CNT_ARR_6220 128
#define OD_CNT_ARR_6240 128
#define OD_CNT_ARR_6250 128
#define OD_CNT_ARR_6260 128
#define OD_CNT_ARR_6270 128
#define OD_CNT_ARR_6410 254
#define OD_CNT_ARR_6411 254
#define OD_CNT_ARR_6412 254
#define OD_CNT_ARR_6413 254
#define OD_CNT_ARR_6441 254
#define OD_CNT_ARR_6442 254
#define OD_CNT_ARR_6443 254
#define OD_CNT_ARR_6444 254
#define OD_CNT_ARR_6445 254
#define OD_CNT_ARR_6446 254
#define OD_CNT_ARR_6447 254
#define OD_CNT_ARR_6450 254


/*******************************************************************************
    OD data declaration of all groups
*******************************************************************************/
typedef struct {
    uint32_t x1000_deviceType;
    uint32_t x1005_COB_ID_SYNCMessage;
    uint32_t x1006_communicationCyclePeriod;
    uint32_t x1007_synchronousWindowLength;
    uint32_t x1012_COB_IDTimeStampObject;
    uint32_t x1014_COB_ID_EMCY;
    uint16_t x1015_inhibitTimeEMCY;
    uint8_t x1016_consumerHeartbeatTime_sub0;
    uint32_t x1016_consumerHeartbeatTime[OD_CNT_ARR_1016];
    uint16_t x1017_producerHeartbeatTime;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t vendor_ID;
        uint32_t productCode;
        uint32_t revisionNumber;
        uint32_t serialNumber;
    } x1018_identity;
    uint8_t x1019_synchronousCounterOverflowValue;
    uint8_t x1029_errorBehaviorObject_sub0;
    uint8_t x1029_errorBehaviorObject[OD_CNT_ARR_1029];
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDClientToServerTx;
        uint32_t COB_IDServerToClientRx;
        uint8_t node_IDOfTheSDOServer;
    } x1280_SDOClientParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1400_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1401_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1402_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1403_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1404_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1405_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1406_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1407_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1408_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1409_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140A_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140B_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140C_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140D_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140E_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x140F_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1410_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1411_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1412_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1413_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1414_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1415_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1416_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1417_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1418_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x1419_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x141A_RPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByRPDO;
        uint8_t transmissionType;
        uint16_t eventTimer;
    } x141B_RPDOCommunicationParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1600_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1601_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1602_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1603_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1604_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1605_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1606_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1607_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1608_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1609_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160A_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160B_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160C_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160D_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160E_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x160F_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1610_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1611_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1612_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1613_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1614_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1615_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1616_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1617_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1618_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1619_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x161A_RPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x161B_RPDOMappingParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1800_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1801_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1802_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1803_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1804_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1805_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1806_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1807_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1808_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1809_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180A_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180B_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180C_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180D_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180E_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x180F_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1810_TPDOCommunicationParameter;
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDUsedByTPDO;
        uint8_t transmissionType;
        uint16_t inhibitTime;
        uint16_t eventTimer;
        uint8_t SYNCStartValue;
    } x1811_TPDOCommunicationParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A00_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A01_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A02_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A03_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A04_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A05_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A06_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A07_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A08_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A09_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0A_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0B_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0C_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0D_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0E_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A0F_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A10_TPDOMappingParameter;
    struct {
        uint8_t numberOfMappedApplicationObjectsInPDO;
        uint32_t applicationObject1;
        uint32_t applicationObject2;
        uint32_t applicationObject3;
        uint32_t applicationObject4;
        uint32_t applicationObject5;
        uint32_t applicationObject6;
        uint32_t applicationObject7;
        uint32_t applicationObject8;
    } x1A11_TPDOMappingParameter;
} OD_PERSIST_COMM_t;

typedef struct {
    uint8_t x1001_errorRegister;
    uint8_t x1010_storeParameters_sub0;
    uint32_t x1010_storeParameters[OD_CNT_ARR_1010];
    uint8_t x1011_restoreDefaultParameters_sub0;
    uint32_t x1011_restoreDefaultParameters[OD_CNT_ARR_1011];
    struct {
        uint8_t highestSub_indexSupported;
        uint32_t COB_IDClientToServerRx;
        uint32_t COB_IDServerToClientTx;
    } x1200_SDOServerParameter;
    bool_t x6005_globalInterruptEnableDigital8Bit;
    uint8_t x6020_readInput1Bit_sub0;
    uint8_t x6020_readInput1Bit[OD_CNT_ARR_6020];
    uint8_t x6030_polarityInput1Bit_sub0;
    bool_t x6030_polarityInput1Bit[OD_CNT_ARR_6030];
    uint8_t x6038_filterConstantInputBit1Bit_sub0;
    bool_t x6038_filterConstantInputBit1Bit[OD_CNT_ARR_6038];
    uint8_t x6050_interruptMaskInputBitAnyChange1Bit_sub0;
    bool_t x6050_interruptMaskInputBitAnyChange1Bit[OD_CNT_ARR_6050];
    uint8_t x6060_interruptMaskInputLowToHigh1Bit_sub0;
    bool_t x6060_interruptMaskInputLowToHigh1Bit[OD_CNT_ARR_6060];
    uint8_t x6070_interruptMaskInputHighToLow1Bit_sub0;
    bool_t x6070_interruptMaskInputHighToLow1Bit[OD_CNT_ARR_6070];
    uint8_t x6220_writeOutput1Bit_sub0;
    uint8_t x6220_writeOutput1Bit[OD_CNT_ARR_6220];
    uint8_t x6240_polarityOutput1Bit_sub0;
    bool_t x6240_polarityOutput1Bit[OD_CNT_ARR_6240];
    uint8_t x6250_errorModeOutput1Bit_sub0;
    bool_t x6250_errorModeOutput1Bit[OD_CNT_ARR_6250];
    uint8_t x6260_errorValueOutput1Bit_sub0;
    bool_t x6260_errorValueOutput1Bit[OD_CNT_ARR_6260];
    uint8_t x6270_filterMaskOutput1Bit_sub0;
    bool_t x6270_filterMaskOutput1Bit[OD_CNT_ARR_6270];
    uint8_t x6410_writeAnalogueOutput8Bit_sub0;
    int8_t x6410_writeAnalogueOutput8Bit[OD_CNT_ARR_6410];
    uint8_t x6411_writeAnalogueOutput16Bit_sub0;
    int16_t x6411_writeAnalogueOutput16Bit[OD_CNT_ARR_6411];
    uint8_t x6412_writeAnalogueOutput32Bit_sub0;
    int32_t x6412_writeAnalogueOutput32Bit[OD_CNT_ARR_6412];
    uint8_t x6413_writeAnalogueOutputFloat_sub0;
    float32_t x6413_writeAnalogueOutputFloat[OD_CNT_ARR_6413];
    struct {
        uint8_t numberOfElements;
        int32_t analogueOutputManuSpec;
        int32_t analogueOutputManuSpec_2;
        int32_t analogueOutputManuSpec_3;
        int32_t analogueOutputManuSpec_4;
        int32_t analogueOutputManuSpec_5;
        int32_t analogueOutputManuSpec_6;
        int32_t analogueOutputManuSpec_7;
        int32_t analogueOutputManuSpec_8;
        int32_t analogueOutputManuSpec_9;
        int32_t analogueOutputManuSpec_a;
        int32_t analogueOutputManuSpec_b;
        int32_t analogueOutputManuSpec_c;
        int32_t analogueOutputManuSpec_d;
        int32_t analogueOutputManuSpec_e;
        int32_t analogueOutputManuSpec_f;
        int32_t analogueOutputManuSpec_10;
        int32_t analogueOutputManuSpec_11;
        int32_t analogueOutputManuSpec_12;
        int32_t analogueOutputManuSpec_13;
        int32_t analogueOutputManuSpec_14;
        int32_t analogueOutputManuSpec_15;
        int32_t analogueOutputManuSpec_16;
        int32_t analogueOutputManuSpec_17;
        int32_t analogueOutputManuSpec_18;
        int32_t analogueOutputManuSpec_19;
        int32_t analogueOutputManuSpec_1a;
        int32_t analogueOutputManuSpec_1b;
        int32_t analogueOutputManuSpec_1c;
        int32_t analogueOutputManuSpec_1d;
        int32_t analogueOutputManuSpec_1e;
        int32_t analogueOutputManuSpec_1f;
        int32_t analogueOutputManuSpec_20;
        int32_t analogueOutputManuSpec_21;
        int32_t analogueOutputManuSpec_22;
        int32_t analogueOutputManuSpec_23;
        int32_t analogueOutputManuSpec_24;
        int32_t analogueOutputManuSpec_25;
        int32_t analogueOutputManuSpec_26;
        int32_t analogueOutputManuSpec_27;
        int32_t analogueOutputManuSpec_28;
        int32_t analogueOutputManuSpec_29;
        int32_t analogueOutputManuSpec_2a;
        int32_t analogueOutputManuSpec_2b;
        int32_t analogueOutputManuSpec_2c;
        int32_t analogueOutputManuSpec_2d;
        int32_t analogueOutputManuSpec_2e;
        int32_t analogueOutputManuSpec_2f;
        int32_t analogueOutputManuSpec_30;
        int32_t analogueOutputManuSpec_31;
        int32_t analogueOutputManuSpec_32;
        int32_t analogueOutputManuSpec_33;
        int32_t analogueOutputManuSpec_34;
        int32_t analogueOutputManuSpec_35;
        int32_t analogueOutputManuSpec_36;
        int32_t analogueOutputManuSpec_37;
        int32_t analogueOutputManuSpec_38;
        int32_t analogueOutputManuSpec_39;
        int32_t analogueOutputManuSpec_3a;
        int32_t analogueOutputManuSpec_3b;
        int32_t analogueOutputManuSpec_3c;
        int32_t analogueOutputManuSpec_3d;
        int32_t analogueOutputManuSpec_3e;
        int32_t analogueOutputManuSpec_3f;
        int32_t analogueOutputManuSpec_40;
        int32_t analogueOutputManuSpec_41;
        int32_t analogueOutputManuSpec_42;
        int32_t analogueOutputManuSpec_43;
        int32_t analogueOutputManuSpec_44;
        int32_t analogueOutputManuSpec_45;
        int32_t analogueOutputManuSpec_46;
        int32_t analogueOutputManuSpec_47;
        int32_t analogueOutputManuSpec_48;
        int32_t analogueOutputManuSpec_49;
        int32_t analogueOutputManuSpec_4a;
        int32_t analogueOutputManuSpec_4b;
        int32_t analogueOutputManuSpec_4c;
        int32_t analogueOutputManuSpec_4d;
        int32_t analogueOutputManuSpec_4e;
        int32_t analogueOutputManuSpec_4f;
        int32_t analogueOutputManuSpec_50;
        int32_t analogueOutputManuSpec_51;
        int32_t analogueOutputManuSpec_52;
        int32_t analogueOutputManuSpec_53;
        int32_t analogueOutputManuSpec_54;
        int32_t analogueOutputManuSpec_55;
        int32_t analogueOutputManuSpec_56;
        int32_t analogueOutputManuSpec_57;
        int32_t analogueOutputManuSpec_58;
        int32_t analogueOutputManuSpec_59;
        int32_t analogueOutputManuSpec_5a;
        int32_t analogueOutputManuSpec_5b;
        int32_t analogueOutputManuSpec_5c;
        int32_t analogueOutputManuSpec_5d;
        int32_t analogueOutputManuSpec_5e;
        int32_t analogueOutputManuSpec_5f;
        int32_t analogueOutputManuSpec_60;
        int32_t analogueOutputManuSpec_61;
        int32_t analogueOutputManuSpec_62;
        int32_t analogueOutputManuSpec_63;
        int32_t analogueOutputManuSpec_64;
        int32_t analogueOutputManuSpec_65;
        int32_t analogueOutputManuSpec_66;
        int32_t analogueOutputManuSpec_67;
        int32_t analogueOutputManuSpec_68;
        int32_t analogueOutputManuSpec_69;
        int32_t analogueOutputManuSpec_6a;
        int32_t analogueOutputManuSpec_6b;
        int32_t analogueOutputManuSpec_6c;
        int32_t analogueOutputManuSpec_6d;
        int32_t analogueOutputManuSpec_6e;
        int32_t analogueOutputManuSpec_6f;
        int32_t analogueOutputManuSpec_70;
        int32_t analogueOutputManuSpec_71;
        int32_t analogueOutputManuSpec_72;
        int32_t analogueOutputManuSpec_73;
        int32_t analogueOutputManuSpec_74;
        int32_t analogueOutputManuSpec_75;
        int32_t analogueOutputManuSpec_76;
        int32_t analogueOutputManuSpec_77;
        int32_t analogueOutputManuSpec_78;
        int32_t analogueOutputManuSpec_79;
        int32_t analogueOutputManuSpec_7a;
        int32_t analogueOutputManuSpec_7b;
        int32_t analogueOutputManuSpec_7c;
        int32_t analogueOutputManuSpec_7d;
        int32_t analogueOutputManuSpec_7e;
        int32_t analogueOutputManuSpec_7f;
        int32_t analogueOutputManuSpec_80;
        int32_t analogueOutputManuSpec_81;
        int32_t analogueOutputManuSpec_82;
        int32_t analogueOutputManuSpec_83;
        int32_t analogueOutputManuSpec_84;
        int32_t analogueOutputManuSpec_85;
        int32_t analogueOutputManuSpec_86;
        int32_t analogueOutputManuSpec_87;
        int32_t analogueOutputManuSpec_88;
        int32_t analogueOutputManuSpec_89;
        int32_t analogueOutputManuSpec_8a;
        int32_t analogueOutputManuSpec_8b;
        int32_t analogueOutputManuSpec_8c;
        int32_t analogueOutputManuSpec_8d;
        int32_t analogueOutputManuSpec_8e;
        int32_t analogueOutputManuSpec_8f;
        int32_t analogueOutputManuSpec_90;
        int32_t analogueOutputManuSpec_91;
        int32_t analogueOutputManuSpec_92;
        int32_t analogueOutputManuSpec_93;
        int32_t analogueOutputManuSpec_94;
        int32_t analogueOutputManuSpec_95;
        int32_t analogueOutputManuSpec_96;
        int32_t analogueOutputManuSpec_97;
        int32_t analogueOutputManuSpec_98;
        int32_t analogueOutputManuSpec_99;
        int32_t analogueOutputManuSpec_9a;
        int32_t analogueOutputManuSpec_9b;
        int32_t analogueOutputManuSpec_9c;
        int32_t analogueOutputManuSpec_9d;
        int32_t analogueOutputManuSpec_9e;
        int32_t analogueOutputManuSpec_9f;
        int32_t analogueOutputManuSpec_a0;
        int32_t analogueOutputManuSpec_a1;
        int32_t analogueOutputManuSpec_a2;
        int32_t analogueOutputManuSpec_a3;
        int32_t analogueOutputManuSpec_a4;
        int32_t analogueOutputManuSpec_a5;
        int32_t analogueOutputManuSpec_a6;
        int32_t analogueOutputManuSpec_a7;
        int32_t analogueOutputManuSpec_a8;
        int32_t analogueOutputManuSpec_a9;
        int32_t analogueOutputManuSpec_aa;
        int32_t analogueOutputManuSpec_ab;
        int32_t analogueOutputManuSpec_ac;
        int32_t analogueOutputManuSpec_ad;
        int32_t analogueOutputManuSpec_ae;
        int32_t analogueOutputManuSpec_af;
        int32_t analogueOutputManuSpec_b0;
        int32_t analogueOutputManuSpec_b1;
        int32_t analogueOutputManuSpec_b2;
        int32_t analogueOutputManuSpec_b3;
        int32_t analogueOutputManuSpec_b4;
        int32_t analogueOutputManuSpec_b5;
        int32_t analogueOutputManuSpec_b6;
        int32_t analogueOutputManuSpec_b7;
        int32_t analogueOutputManuSpec_b8;
        int32_t analogueOutputManuSpec_b9;
        int32_t analogueOutputManuSpec_ba;
        int32_t analogueOutputManuSpec_bb;
        int32_t analogueOutputManuSpec_bc;
        int32_t analogueOutputManuSpec_bd;
        int32_t analogueOutputManuSpec_be;
        int32_t analogueOutputManuSpec_bf;
        int32_t analogueOutputManuSpec_c0;
        int32_t analogueOutputManuSpec_c1;
        int32_t analogueOutputManuSpec_c2;
        int32_t analogueOutputManuSpec_c3;
        int32_t analogueOutputManuSpec_c4;
        int32_t analogueOutputManuSpec_c5;
        int32_t analogueOutputManuSpec_c6;
        int32_t analogueOutputManuSpec_c7;
        int32_t analogueOutputManuSpec_c8;
        int32_t analogueOutputManuSpec_c9;
        int32_t analogueOutputManuSpec_ca;
        int32_t analogueOutputManuSpec_cb;
        int32_t analogueOutputManuSpec_cc;
        int32_t analogueOutputManuSpec_cd;
        int32_t analogueOutputManuSpec_ce;
        int32_t analogueOutputManuSpec_cf;
        int32_t analogueOutputManuSpec_d0;
        int32_t analogueOutputManuSpec_d1;
        int32_t analogueOutputManuSpec_d2;
        int32_t analogueOutputManuSpec_d3;
        int32_t analogueOutputManuSpec_d4;
        int32_t analogueOutputManuSpec_d5;
        int32_t analogueOutputManuSpec_d6;
        int32_t analogueOutputManuSpec_d7;
        int32_t analogueOutputManuSpec_d8;
        int32_t analogueOutputManuSpec_d9;
        int32_t analogueOutputManuSpec_da;
        int32_t analogueOutputManuSpec_db;
        int32_t analogueOutputManuSpec_dc;
        int32_t analogueOutputManuSpec_dd;
        int32_t analogueOutputManuSpec_de;
        int32_t analogueOutputManuSpec_df;
        int32_t analogueOutputManuSpec_e0;
        int32_t analogueOutputManuSpec_e1;
        int32_t analogueOutputManuSpec_e2;
        int32_t analogueOutputManuSpec_e3;
        int32_t analogueOutputManuSpec_e4;
        int32_t analogueOutputManuSpec_e5;
        int32_t analogueOutputManuSpec_e6;
        int32_t analogueOutputManuSpec_e7;
        int32_t analogueOutputManuSpec_e8;
        int32_t analogueOutputManuSpec_e9;
        int32_t analogueOutputManuSpec_ea;
        int32_t analogueOutputManuSpec_eb;
        int32_t analogueOutputManuSpec_ec;
        int32_t analogueOutputManuSpec_ed;
        int32_t analogueOutputManuSpec_ee;
        int32_t analogueOutputManuSpec_ef;
        int32_t analogueOutputManuSpec_f0;
        int32_t analogueOutputManuSpec_f1;
        int32_t analogueOutputManuSpec_f2;
        int32_t analogueOutputManuSpec_f3;
        int32_t analogueOutputManuSpec_f4;
        int32_t analogueOutputManuSpec_f5;
        int32_t analogueOutputManuSpec_f6;
        int32_t analogueOutputManuSpec_f7;
        int32_t analogueOutputManuSpec_f8;
        int32_t analogueOutputManuSpec_f9;
        int32_t analogueOutputManuSpec_fa;
        int32_t analogueOutputManuSpec_fb;
        int32_t analogueOutputManuSpec_fc;
        int32_t analogueOutputManuSpec_fd;
        int32_t analogueOutputManuSpec_fe;
    } x6414_writeManufacturerSpecificAnalogueOutput;
    uint8_t x6441_analogueOutputOffsetFloat_sub0;
    float32_t x6441_analogueOutputOffsetFloat[OD_CNT_ARR_6441];
    uint8_t x6442_analogueOutputScalingFloat_sub0;
    float32_t x6442_analogueOutputScalingFloat[OD_CNT_ARR_6442];
    uint8_t x6443_analogueOutputErrorMode_sub0;
    uint8_t x6443_analogueOutputErrorMode[OD_CNT_ARR_6443];
    uint8_t x6444_analogueOutputErrorValueInteger_sub0;
    int32_t x6444_analogueOutputErrorValueInteger[OD_CNT_ARR_6444];
    uint8_t x6445_analogueOutputErrorValueFloat_sub0;
    float32_t x6445_analogueOutputErrorValueFloat[OD_CNT_ARR_6445];
    uint8_t x6446_analogueOutputOffsetInteger_sub0;
    int32_t x6446_analogueOutputOffsetInteger[OD_CNT_ARR_6446];
    uint8_t x6447_analogueOutputScalingInteger_sub0;
    int32_t x6447_analogueOutputScalingInteger[OD_CNT_ARR_6447];
    uint8_t x6450_analogueOutputSI_Unit_sub0;
    uint32_t x6450_analogueOutputSI_Unit[OD_CNT_ARR_6450];
    struct {
        uint8_t highestSub_indexSupported;
        uint8_t microcode_0[255];
        uint8_t microcode_1[255];
        uint8_t microcode_2[255];
        uint8_t microcode_3[255];
        uint8_t microcode_4[255];
        uint8_t microcode_5[255];
        uint8_t microcode_6[255];
        uint8_t microcode_7[255];
        uint8_t microcode_8[255];
        uint8_t microcode_9[255];
        uint8_t microcode_a[255];
        uint8_t microcode_b[255];
        uint8_t microcode_c[255];
        uint8_t microcode_d[255];
        uint8_t microcode_e[255];
        uint8_t microcode_f[255];
        uint8_t microcode_10[255];
        uint8_t microcode_11[255];
        uint8_t microcode_12[255];
        uint8_t microcode_13[255];
        uint8_t microcode_14[255];
        uint8_t microcode_15[255];
        uint8_t microcode_16[255];
        uint8_t microcode_17[255];
        uint8_t microcode_18[255];
        uint8_t microcode_19[255];
        uint8_t microcode_1a[255];
        uint8_t microcode_1b[255];
        uint8_t microcode_1c[255];
        uint8_t microcode_1d[255];
        uint8_t microcode_1e[255];
        uint8_t microcode_1f[255];
    } x7000_microcode;
    struct {
        uint8_t highestSub_indexSupported;
        uint8_t microcode_Control_0;
        uint8_t microcode_Control_1;
        uint8_t microcode_Control_2;
        uint8_t microcode_Control_3;
        uint8_t microcode_Control_4;
        uint8_t microcode_Control_5;
        uint8_t microcode_Control_6;
        uint8_t microcode_Control_7;
        uint8_t microcode_Control_8;
        uint8_t microcode_Control_9;
        uint8_t microcode_Control_a;
        uint8_t microcode_Control_b;
        uint8_t microcode_Control_c;
        uint8_t microcode_Control_d;
        uint8_t microcode_Control_e;
        uint8_t microcode_Control_f;
    } x7001_microcodeControl;
} OD_RAM_t;

#ifndef OD_ATTR_PERSIST_COMM
#define OD_ATTR_PERSIST_COMM
#endif
extern OD_ATTR_PERSIST_COMM OD_PERSIST_COMM_t OD_PERSIST_COMM;

#ifndef OD_ATTR_RAM
#define OD_ATTR_RAM
#endif
extern OD_ATTR_RAM OD_RAM_t OD_RAM;

#ifndef OD_ATTR_OD
#define OD_ATTR_OD
#endif
extern OD_ATTR_OD OD_t *OD;


/*******************************************************************************
    Object dictionary entries - shortcuts
*******************************************************************************/
#define OD_ENTRY_H1000 &OD->list[0]
#define OD_ENTRY_H1001 &OD->list[1]
#define OD_ENTRY_H1003 &OD->list[2]
#define OD_ENTRY_H1005 &OD->list[3]
#define OD_ENTRY_H1006 &OD->list[4]
#define OD_ENTRY_H1007 &OD->list[5]
#define OD_ENTRY_H1010 &OD->list[6]
#define OD_ENTRY_H1011 &OD->list[7]
#define OD_ENTRY_H1012 &OD->list[8]
#define OD_ENTRY_H1014 &OD->list[9]
#define OD_ENTRY_H1015 &OD->list[10]
#define OD_ENTRY_H1016 &OD->list[11]
#define OD_ENTRY_H1017 &OD->list[12]
#define OD_ENTRY_H1018 &OD->list[13]
#define OD_ENTRY_H1019 &OD->list[14]
#define OD_ENTRY_H1029 &OD->list[15]
#define OD_ENTRY_H1200 &OD->list[16]
#define OD_ENTRY_H1280 &OD->list[17]
#define OD_ENTRY_H1400 &OD->list[18]
#define OD_ENTRY_H1401 &OD->list[19]
#define OD_ENTRY_H1402 &OD->list[20]
#define OD_ENTRY_H1403 &OD->list[21]
#define OD_ENTRY_H1404 &OD->list[22]
#define OD_ENTRY_H1405 &OD->list[23]
#define OD_ENTRY_H1406 &OD->list[24]
#define OD_ENTRY_H1407 &OD->list[25]
#define OD_ENTRY_H1408 &OD->list[26]
#define OD_ENTRY_H1409 &OD->list[27]
#define OD_ENTRY_H140A &OD->list[28]
#define OD_ENTRY_H140B &OD->list[29]
#define OD_ENTRY_H140C &OD->list[30]
#define OD_ENTRY_H140D &OD->list[31]
#define OD_ENTRY_H140E &OD->list[32]
#define OD_ENTRY_H140F &OD->list[33]
#define OD_ENTRY_H1410 &OD->list[34]
#define OD_ENTRY_H1411 &OD->list[35]
#define OD_ENTRY_H1412 &OD->list[36]
#define OD_ENTRY_H1413 &OD->list[37]
#define OD_ENTRY_H1414 &OD->list[38]
#define OD_ENTRY_H1415 &OD->list[39]
#define OD_ENTRY_H1416 &OD->list[40]
#define OD_ENTRY_H1417 &OD->list[41]
#define OD_ENTRY_H1418 &OD->list[42]
#define OD_ENTRY_H1419 &OD->list[43]
#define OD_ENTRY_H141A &OD->list[44]
#define OD_ENTRY_H141B &OD->list[45]
#define OD_ENTRY_H1600 &OD->list[46]
#define OD_ENTRY_H1601 &OD->list[47]
#define OD_ENTRY_H1602 &OD->list[48]
#define OD_ENTRY_H1603 &OD->list[49]
#define OD_ENTRY_H1604 &OD->list[50]
#define OD_ENTRY_H1605 &OD->list[51]
#define OD_ENTRY_H1606 &OD->list[52]
#define OD_ENTRY_H1607 &OD->list[53]
#define OD_ENTRY_H1608 &OD->list[54]
#define OD_ENTRY_H1609 &OD->list[55]
#define OD_ENTRY_H160A &OD->list[56]
#define OD_ENTRY_H160B &OD->list[57]
#define OD_ENTRY_H160C &OD->list[58]
#define OD_ENTRY_H160D &OD->list[59]
#define OD_ENTRY_H160E &OD->list[60]
#define OD_ENTRY_H160F &OD->list[61]
#define OD_ENTRY_H1610 &OD->list[62]
#define OD_ENTRY_H1611 &OD->list[63]
#define OD_ENTRY_H1612 &OD->list[64]
#define OD_ENTRY_H1613 &OD->list[65]
#define OD_ENTRY_H1614 &OD->list[66]
#define OD_ENTRY_H1615 &OD->list[67]
#define OD_ENTRY_H1616 &OD->list[68]
#define OD_ENTRY_H1617 &OD->list[69]
#define OD_ENTRY_H1618 &OD->list[70]
#define OD_ENTRY_H1619 &OD->list[71]
#define OD_ENTRY_H161A &OD->list[72]
#define OD_ENTRY_H161B &OD->list[73]
#define OD_ENTRY_H1800 &OD->list[74]
#define OD_ENTRY_H1801 &OD->list[75]
#define OD_ENTRY_H1802 &OD->list[76]
#define OD_ENTRY_H1803 &OD->list[77]
#define OD_ENTRY_H1804 &OD->list[78]
#define OD_ENTRY_H1805 &OD->list[79]
#define OD_ENTRY_H1806 &OD->list[80]
#define OD_ENTRY_H1807 &OD->list[81]
#define OD_ENTRY_H1808 &OD->list[82]
#define OD_ENTRY_H1809 &OD->list[83]
#define OD_ENTRY_H180A &OD->list[84]
#define OD_ENTRY_H180B &OD->list[85]
#define OD_ENTRY_H180C &OD->list[86]
#define OD_ENTRY_H180D &OD->list[87]
#define OD_ENTRY_H180E &OD->list[88]
#define OD_ENTRY_H180F &OD->list[89]
#define OD_ENTRY_H1810 &OD->list[90]
#define OD_ENTRY_H1811 &OD->list[91]
#define OD_ENTRY_H1A00 &OD->list[92]
#define OD_ENTRY_H1A01 &OD->list[93]
#define OD_ENTRY_H1A02 &OD->list[94]
#define OD_ENTRY_H1A03 &OD->list[95]
#define OD_ENTRY_H1A04 &OD->list[96]
#define OD_ENTRY_H1A05 &OD->list[97]
#define OD_ENTRY_H1A06 &OD->list[98]
#define OD_ENTRY_H1A07 &OD->list[99]
#define OD_ENTRY_H1A08 &OD->list[100]
#define OD_ENTRY_H1A09 &OD->list[101]
#define OD_ENTRY_H1A0A &OD->list[102]
#define OD_ENTRY_H1A0B &OD->list[103]
#define OD_ENTRY_H1A0C &OD->list[104]
#define OD_ENTRY_H1A0D &OD->list[105]
#define OD_ENTRY_H1A0E &OD->list[106]
#define OD_ENTRY_H1A0F &OD->list[107]
#define OD_ENTRY_H1A10 &OD->list[108]
#define OD_ENTRY_H1A11 &OD->list[109]
#define OD_ENTRY_H6005 &OD->list[110]
#define OD_ENTRY_H6020 &OD->list[111]
#define OD_ENTRY_H6030 &OD->list[112]
#define OD_ENTRY_H6038 &OD->list[113]
#define OD_ENTRY_H6050 &OD->list[114]
#define OD_ENTRY_H6060 &OD->list[115]
#define OD_ENTRY_H6070 &OD->list[116]
#define OD_ENTRY_H6220 &OD->list[117]
#define OD_ENTRY_H6240 &OD->list[118]
#define OD_ENTRY_H6250 &OD->list[119]
#define OD_ENTRY_H6260 &OD->list[120]
#define OD_ENTRY_H6270 &OD->list[121]
#define OD_ENTRY_H6410 &OD->list[122]
#define OD_ENTRY_H6411 &OD->list[123]
#define OD_ENTRY_H6412 &OD->list[124]
#define OD_ENTRY_H6413 &OD->list[125]
#define OD_ENTRY_H6414 &OD->list[126]
#define OD_ENTRY_H6441 &OD->list[127]
#define OD_ENTRY_H6442 &OD->list[128]
#define OD_ENTRY_H6443 &OD->list[129]
#define OD_ENTRY_H6444 &OD->list[130]
#define OD_ENTRY_H6445 &OD->list[131]
#define OD_ENTRY_H6446 &OD->list[132]
#define OD_ENTRY_H6447 &OD->list[133]
#define OD_ENTRY_H6450 &OD->list[134]
#define OD_ENTRY_H7000 &OD->list[135]
#define OD_ENTRY_H7001 &OD->list[136]


/*******************************************************************************
    Object dictionary entries - shortcuts with names
*******************************************************************************/
#define OD_ENTRY_H1000_deviceType &OD->list[0]
#define OD_ENTRY_H1001_errorRegister &OD->list[1]
#define OD_ENTRY_H1003_pre_definedErrorField &OD->list[2]
#define OD_ENTRY_H1005_COB_ID_SYNCMessage &OD->list[3]
#define OD_ENTRY_H1006_communicationCyclePeriod &OD->list[4]
#define OD_ENTRY_H1007_synchronousWindowLength &OD->list[5]
#define OD_ENTRY_H1010_storeParameters &OD->list[6]
#define OD_ENTRY_H1011_restoreDefaultParameters &OD->list[7]
#define OD_ENTRY_H1012_COB_IDTimeStampObject &OD->list[8]
#define OD_ENTRY_H1014_COB_ID_EMCY &OD->list[9]
#define OD_ENTRY_H1015_inhibitTimeEMCY &OD->list[10]
#define OD_ENTRY_H1016_consumerHeartbeatTime &OD->list[11]
#define OD_ENTRY_H1017_producerHeartbeatTime &OD->list[12]
#define OD_ENTRY_H1018_identity &OD->list[13]
#define OD_ENTRY_H1019_synchronousCounterOverflowValue &OD->list[14]
#define OD_ENTRY_H1029_errorBehaviorObject &OD->list[15]
#define OD_ENTRY_H1200_SDOServerParameter &OD->list[16]
#define OD_ENTRY_H1280_SDOClientParameter &OD->list[17]
#define OD_ENTRY_H1400_RPDOCommunicationParameter &OD->list[18]
#define OD_ENTRY_H1401_RPDOCommunicationParameter &OD->list[19]
#define OD_ENTRY_H1402_RPDOCommunicationParameter &OD->list[20]
#define OD_ENTRY_H1403_RPDOCommunicationParameter &OD->list[21]
#define OD_ENTRY_H1404_RPDOCommunicationParameter &OD->list[22]
#define OD_ENTRY_H1405_RPDOCommunicationParameter &OD->list[23]
#define OD_ENTRY_H1406_RPDOCommunicationParameter &OD->list[24]
#define OD_ENTRY_H1407_RPDOCommunicationParameter &OD->list[25]
#define OD_ENTRY_H1408_RPDOCommunicationParameter &OD->list[26]
#define OD_ENTRY_H1409_RPDOCommunicationParameter &OD->list[27]
#define OD_ENTRY_H140A_RPDOCommunicationParameter &OD->list[28]
#define OD_ENTRY_H140B_RPDOCommunicationParameter &OD->list[29]
#define OD_ENTRY_H140C_RPDOCommunicationParameter &OD->list[30]
#define OD_ENTRY_H140D_RPDOCommunicationParameter &OD->list[31]
#define OD_ENTRY_H140E_RPDOCommunicationParameter &OD->list[32]
#define OD_ENTRY_H140F_RPDOCommunicationParameter &OD->list[33]
#define OD_ENTRY_H1410_RPDOCommunicationParameter &OD->list[34]
#define OD_ENTRY_H1411_RPDOCommunicationParameter &OD->list[35]
#define OD_ENTRY_H1412_RPDOCommunicationParameter &OD->list[36]
#define OD_ENTRY_H1413_RPDOCommunicationParameter &OD->list[37]
#define OD_ENTRY_H1414_RPDOCommunicationParameter &OD->list[38]
#define OD_ENTRY_H1415_RPDOCommunicationParameter &OD->list[39]
#define OD_ENTRY_H1416_RPDOCommunicationParameter &OD->list[40]
#define OD_ENTRY_H1417_RPDOCommunicationParameter &OD->list[41]
#define OD_ENTRY_H1418_RPDOCommunicationParameter &OD->list[42]
#define OD_ENTRY_H1419_RPDOCommunicationParameter &OD->list[43]
#define OD_ENTRY_H141A_RPDOCommunicationParameter &OD->list[44]
#define OD_ENTRY_H141B_RPDOCommunicationParameter &OD->list[45]
#define OD_ENTRY_H1600_RPDOMappingParameter &OD->list[46]
#define OD_ENTRY_H1601_RPDOMappingParameter &OD->list[47]
#define OD_ENTRY_H1602_RPDOMappingParameter &OD->list[48]
#define OD_ENTRY_H1603_RPDOMappingParameter &OD->list[49]
#define OD_ENTRY_H1604_RPDOMappingParameter &OD->list[50]
#define OD_ENTRY_H1605_RPDOMappingParameter &OD->list[51]
#define OD_ENTRY_H1606_RPDOMappingParameter &OD->list[52]
#define OD_ENTRY_H1607_RPDOMappingParameter &OD->list[53]
#define OD_ENTRY_H1608_RPDOMappingParameter &OD->list[54]
#define OD_ENTRY_H1609_RPDOMappingParameter &OD->list[55]
#define OD_ENTRY_H160A_RPDOMappingParameter &OD->list[56]
#define OD_ENTRY_H160B_RPDOMappingParameter &OD->list[57]
#define OD_ENTRY_H160C_RPDOMappingParameter &OD->list[58]
#define OD_ENTRY_H160D_RPDOMappingParameter &OD->list[59]
#define OD_ENTRY_H160E_RPDOMappingParameter &OD->list[60]
#define OD_ENTRY_H160F_RPDOMappingParameter &OD->list[61]
#define OD_ENTRY_H1610_RPDOMappingParameter &OD->list[62]
#define OD_ENTRY_H1611_RPDOMappingParameter &OD->list[63]
#define OD_ENTRY_H1612_RPDOMappingParameter &OD->list[64]
#define OD_ENTRY_H1613_RPDOMappingParameter &OD->list[65]
#define OD_ENTRY_H1614_RPDOMappingParameter &OD->list[66]
#define OD_ENTRY_H1615_RPDOMappingParameter &OD->list[67]
#define OD_ENTRY_H1616_RPDOMappingParameter &OD->list[68]
#define OD_ENTRY_H1617_RPDOMappingParameter &OD->list[69]
#define OD_ENTRY_H1618_RPDOMappingParameter &OD->list[70]
#define OD_ENTRY_H1619_RPDOMappingParameter &OD->list[71]
#define OD_ENTRY_H161A_RPDOMappingParameter &OD->list[72]
#define OD_ENTRY_H161B_RPDOMappingParameter &OD->list[73]
#define OD_ENTRY_H1800_TPDOCommunicationParameter &OD->list[74]
#define OD_ENTRY_H1801_TPDOCommunicationParameter &OD->list[75]
#define OD_ENTRY_H1802_TPDOCommunicationParameter &OD->list[76]
#define OD_ENTRY_H1803_TPDOCommunicationParameter &OD->list[77]
#define OD_ENTRY_H1804_TPDOCommunicationParameter &OD->list[78]
#define OD_ENTRY_H1805_TPDOCommunicationParameter &OD->list[79]
#define OD_ENTRY_H1806_TPDOCommunicationParameter &OD->list[80]
#define OD_ENTRY_H1807_TPDOCommunicationParameter &OD->list[81]
#define OD_ENTRY_H1808_TPDOCommunicationParameter &OD->list[82]
#define OD_ENTRY_H1809_TPDOCommunicationParameter &OD->list[83]
#define OD_ENTRY_H180A_TPDOCommunicationParameter &OD->list[84]
#define OD_ENTRY_H180B_TPDOCommunicationParameter &OD->list[85]
#define OD_ENTRY_H180C_TPDOCommunicationParameter &OD->list[86]
#define OD_ENTRY_H180D_TPDOCommunicationParameter &OD->list[87]
#define OD_ENTRY_H180E_TPDOCommunicationParameter &OD->list[88]
#define OD_ENTRY_H180F_TPDOCommunicationParameter &OD->list[89]
#define OD_ENTRY_H1810_TPDOCommunicationParameter &OD->list[90]
#define OD_ENTRY_H1811_TPDOCommunicationParameter &OD->list[91]
#define OD_ENTRY_H1A00_TPDOMappingParameter &OD->list[92]
#define OD_ENTRY_H1A01_TPDOMappingParameter &OD->list[93]
#define OD_ENTRY_H1A02_TPDOMappingParameter &OD->list[94]
#define OD_ENTRY_H1A03_TPDOMappingParameter &OD->list[95]
#define OD_ENTRY_H1A04_TPDOMappingParameter &OD->list[96]
#define OD_ENTRY_H1A05_TPDOMappingParameter &OD->list[97]
#define OD_ENTRY_H1A06_TPDOMappingParameter &OD->list[98]
#define OD_ENTRY_H1A07_TPDOMappingParameter &OD->list[99]
#define OD_ENTRY_H1A08_TPDOMappingParameter &OD->list[100]
#define OD_ENTRY_H1A09_TPDOMappingParameter &OD->list[101]
#define OD_ENTRY_H1A0A_TPDOMappingParameter &OD->list[102]
#define OD_ENTRY_H1A0B_TPDOMappingParameter &OD->list[103]
#define OD_ENTRY_H1A0C_TPDOMappingParameter &OD->list[104]
#define OD_ENTRY_H1A0D_TPDOMappingParameter &OD->list[105]
#define OD_ENTRY_H1A0E_TPDOMappingParameter &OD->list[106]
#define OD_ENTRY_H1A0F_TPDOMappingParameter &OD->list[107]
#define OD_ENTRY_H1A10_TPDOMappingParameter &OD->list[108]
#define OD_ENTRY_H1A11_TPDOMappingParameter &OD->list[109]
#define OD_ENTRY_H6005_globalInterruptEnableDigital8Bit &OD->list[110]
#define OD_ENTRY_H6020_readInput1Bit &OD->list[111]
#define OD_ENTRY_H6030_polarityInput1Bit &OD->list[112]
#define OD_ENTRY_H6038_filterConstantInputBit1Bit &OD->list[113]
#define OD_ENTRY_H6050_interruptMaskInputBitAnyChange1Bit &OD->list[114]
#define OD_ENTRY_H6060_interruptMaskInputLowToHigh1Bit &OD->list[115]
#define OD_ENTRY_H6070_interruptMaskInputHighToLow1Bit &OD->list[116]
#define OD_ENTRY_H6220_writeOutput1Bit &OD->list[117]
#define OD_ENTRY_H6240_polarityOutput1Bit &OD->list[118]
#define OD_ENTRY_H6250_errorModeOutput1Bit &OD->list[119]
#define OD_ENTRY_H6260_errorValueOutput1Bit &OD->list[120]
#define OD_ENTRY_H6270_filterMaskOutput1Bit &OD->list[121]
#define OD_ENTRY_H6410_writeAnalogueOutput8Bit &OD->list[122]
#define OD_ENTRY_H6411_writeAnalogueOutput16Bit &OD->list[123]
#define OD_ENTRY_H6412_writeAnalogueOutput32Bit &OD->list[124]
#define OD_ENTRY_H6413_writeAnalogueOutputFloat &OD->list[125]
#define OD_ENTRY_H6414_writeManufacturerSpecificAnalogueOutput &OD->list[126]
#define OD_ENTRY_H6441_analogueOutputOffsetFloat &OD->list[127]
#define OD_ENTRY_H6442_analogueOutputScalingFloat &OD->list[128]
#define OD_ENTRY_H6443_analogueOutputErrorMode &OD->list[129]
#define OD_ENTRY_H6444_analogueOutputErrorValueInteger &OD->list[130]
#define OD_ENTRY_H6445_analogueOutputErrorValueFloat &OD->list[131]
#define OD_ENTRY_H6446_analogueOutputOffsetInteger &OD->list[132]
#define OD_ENTRY_H6447_analogueOutputScalingInteger &OD->list[133]
#define OD_ENTRY_H6450_analogueOutputSI_Unit &OD->list[134]
#define OD_ENTRY_H7000_microcode &OD->list[135]
#define OD_ENTRY_H7001_microcodeControl &OD->list[136]


/*******************************************************************************
    OD config structure
*******************************************************************************/
#ifdef CO_MULTIPLE_OD
#define OD_INIT_CONFIG(config) {\
    (config).CNT_NMT = OD_CNT_NMT;\
    (config).ENTRY_H1017 = OD_ENTRY_H1017;\
    (config).CNT_HB_CONS = OD_CNT_HB_CONS;\
    (config).CNT_ARR_1016 = OD_CNT_ARR_1016;\
    (config).ENTRY_H1016 = OD_ENTRY_H1016;\
    (config).CNT_EM = OD_CNT_EM;\
    (config).ENTRY_H1001 = OD_ENTRY_H1001;\
    (config).ENTRY_H1014 = OD_ENTRY_H1014;\
    (config).ENTRY_H1015 = OD_ENTRY_H1015;\
    (config).CNT_ARR_1003 = OD_CNT_ARR_1003;\
    (config).ENTRY_H1003 = OD_ENTRY_H1003;\
    (config).CNT_SDO_SRV = OD_CNT_SDO_SRV;\
    (config).ENTRY_H1200 = OD_ENTRY_H1200;\
    (config).CNT_SDO_CLI = OD_CNT_SDO_CLI;\
    (config).ENTRY_H1280 = OD_ENTRY_H1280;\
    (config).CNT_TIME = OD_CNT_TIME;\
    (config).ENTRY_H1012 = OD_ENTRY_H1012;\
    (config).CNT_SYNC = OD_CNT_SYNC;\
    (config).ENTRY_H1005 = OD_ENTRY_H1005;\
    (config).ENTRY_H1006 = OD_ENTRY_H1006;\
    (config).ENTRY_H1007 = OD_ENTRY_H1007;\
    (config).ENTRY_H1019 = OD_ENTRY_H1019;\
    (config).CNT_RPDO = OD_CNT_RPDO;\
    (config).ENTRY_H1400 = OD_ENTRY_H1400;\
    (config).ENTRY_H1600 = OD_ENTRY_H1600;\
    (config).CNT_TPDO = OD_CNT_TPDO;\
    (config).ENTRY_H1800 = OD_ENTRY_H1800;\
    (config).ENTRY_H1A00 = OD_ENTRY_H1A00;\
    (config).CNT_LEDS = 0;\
    (config).CNT_GFC = 0;\
    (config).ENTRY_H1300 = NULL;\
    (config).CNT_SRDO = 0;\
    (config).ENTRY_H1301 = NULL;\
    (config).ENTRY_H1381 = NULL;\
    (config).ENTRY_H13FE = NULL;\
    (config).ENTRY_H13FF = NULL;\
    (config).CNT_LSS_SLV = 0;\
    (config).CNT_LSS_MST = 0;\
    (config).CNT_GTWA = 0;\
    (config).CNT_TRACE = 0;\
}
#endif

#endif /* OD_H */
